=== debian/changelog ===
yade (0.60.3-2) unstable; urgency=low

  * [67adc6c] Fix FTBFS on powerpc (Closes: #632503)

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 02 Jul 2011 15:08:46 +0200

yade (0.60.3-1) unstable; urgency=low

  * [1612906] Reduce the number of binary-packages twice.
  * [d8e097e] Imported Upstream version 0.60.3
  * [f5a454a] Delete patches, applied by upstream in 0.60.3 release.
  * [d29e6e4] Enable dbg-mode during man-genaration.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 26 Jun 2011 21:32:16 +0200

yade (0.60.2-5) unstable; urgency=low

  * [ed48b2f] Fix FTBFS on kFreeBSD and other platforms, 
      where was an error during checking qglviwer (Closes: #628376)
  * [608c086] Fix generation manpage error on powerpc and sparc.
  * [093fe7b] Fix compilation with eigen3.
  * [4d7707d] Use eigen3 instead of eigen2.
  * [f34dd24] Test at first debug-version, then optimized to find out the 
    reason of problem before crash.
  * [3a76893] Add CXXFLAGS from dpkg-buildflag.
  * [321dced] Generate manpages in debug-mode.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 10 Jun 2011 21:54:25 +0200

yade (0.60.2-4) unstable; urgency=low

  * [d1acf0c] Prevent building docs in binary-arch mode.
  * [d1acf0c] Reduce RAM consumption to minimal during build process.
  * [22b92eb] Output an information about available memory and CPU before 
      building.
  * [2adcf6a] Let binutils-gold to be used only on amd64 and i386 platforms.

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 24 May 2011 20:11:58 +0200

yade (0.60.2-3) unstable; urgency=low

  * [9fb84aa] Hopefully fix FTBFS on most of 
      platforms due to MPLCONFIGDIR (Closes: #626722)
  * [c58a0fa] Update debian/rules, dh7.
  * [0c163b1] Update to Standards-Version: 3.9.2 (no changes).
  * [cc8714c] Raise up python-sphinx required version to 1.0.5.
  * [b045d3b] Move mencoder from "Depends" to "Recommends" to make
      yade installable on non-graphic systems.
  * [94ebfd7] Fix in postinst for correct alias of man-pages.

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 11 May 2011 19:52:26 +0200

yade (0.60.2-2) unstable; urgency=low

  * [6ee4fb7] Remove binutils-gold (only on platforms, where it is 
      not available) and clang from BD (Closes: #623427)
  * [353bf83] Change chunkSize=3 to decrease RAM consumption during build.
  * [de16760] Change long list of commands in binary-arch to _dh binary-arch_
  * [fa12839] Enable binutils-gold on platforms, where it is available.
  * [5d2ac1e] Increase debhelper version number for BD to 7.0.50.
  * [abd1f59] Add dh binary-indep.
  * [fccb8c8] Fix crash, when force applied to non existing body.
  * [70d3b9e] Added syncSizesOfContainers to forceContainer.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 22 Apr 2011 14:01:08 +0200

yade (0.60.2-1) unstable; urgency=low

  * New upstream release 0.60.2
  * Fixed memory leak in InsertionSortCollider (LP: #721107)
  * Fixed crash after adding particles in parallel mode (LP: #724396)
  * Fixed problem with linking libraries on Natty (LP: #707966)
  * vtkNetCDF was deleted from libs due to absence in libvtk5.6-dev
  * jquery.js in documentation is now symlink to a packaged jquery,
      if it is available.
  * openmp-mode is turned on in build options.
  * liblog4cxx9-dev was deleted from dependencies, as
      "liblog4cxx9-dev | liblog4cxx10-dev" is not working on most of
      platforms. liblog4cxx10-dev is ignored in this case.
      http://lists.debian.org/debian-devel/2011/02/msg00738.html
  * migrated from expetimental to unstable, because python-sphinx
      1.0.7 is already in sid as well.

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 13 Apr 2011 00:32:18 +0100

yade (0.60-1) experimental; urgency=low

  * Initial import (Closes: #608663)

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 19 Jan 2011 17:05:02 +0000
