=== debian/control ===
Source: yade
Section: science
Priority: extra
Homepage: https://launchpad.net/yade
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladky.anton@gmail.com>
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/debian-science/packages/yade.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yade.git
Build-Depends: debhelper (>= 7.0.50~), scons, binutils-gold [amd64 i386], 
 freeglut3-dev, libboost-dev (>=1.35), libboost-date-time-dev (>=1.35), 
 libboost-filesystem-dev (>=1.35), libboost-thread-dev (>=1.35), 
 libboost-regex-dev (>=1.35), libboost-python-dev (>=1.35),
 libboost-iostreams-dev (>=1.35), libboost-program-options-dev, python-support,
 libboost-serialization-dev, libloki-dev, liblog4cxx10-dev,
 docbook-to-man, ipython, libgts-dev, python-numpy, g++(>>4.0), libvtk5-dev, 
 libgl1-mesa-dev, gdb, python-matplotlib, python-tk, libeigen3-dev, 
 libqglviewer-qt4-dev, python-xlib, python-qt4, pyqt4-dev-tools, python-imaging
Build-Depends-Indep: texlive-latex-recommended, texlive-latex-extra, lmodern, 
 texlive-pictures, texlive-xetex, libjs-jquery, python-sphinx (>=1.0.6),
 python-bibtex, graphviz, dvipng
Standards-Version: 3.9.2

Package: yade
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy, ipython,
 python-matplotlib, python-tk, python-qt4, python-xlib, gnuplot, python-imaging, libjs-jquery
Recommends: mencoder
Description: Platform for discrete element modeling. Main optimized build
 Yet Another Dynamic Engine.
 .
 Extensible open-source framework for discrete numerical models, 
 focused on Discrete Element Method. 
 The computation parts are written in c++ using flexible object model, 
 allowing independent implementation of new algorithms and interfaces. 
 Python is used for rapid and concise scene construction, 
 simulation control, postprocessing and debugging.
 .
 This package contains speed-optimized build of yade.

Package: yade-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, yade
Description: Platform for discrete element modeling. Debug build
 Yet Another Dynamic Engine.
 .
 Extensible open-source framework for discrete numerical models, 
 focused on Discrete Element Method. 
 The computation parts are written in c++ using flexible object model, 
 allowing independent implementation of new algorithms and interfaces. 
 Python is used for rapid and concise scene construction, 
 simulation control, postprocessing and debugging.
 .
 This package contains debug build of yade.

Package: yade-doc
Architecture: all
Section: doc
Recommends: yade
Depends: ${misc:Depends}, libjs-jquery
Description: Platform for discrete element modeling. Documentation
 Yet Another Dynamic Engine.
 .
 Extensible open-source framework for discrete numerical models, 
 focused on Discrete Element Method. 
 The computation parts are written in c++ using flexible object model, 
 allowing independent implementation of new algorithms and interfaces. 
 Python is used for rapid and concise scene construction, 
 simulation control, postprocessing and debugging.
 .
 This package contains examples, test scripts and documentation.
