=== debian/rules ===
#!/usr/bin/make -f

tmpDirMatplotLib = $(CURDIR)/debian/matplotlib
tmpInstall = $(CURDIR)/debian/inst
tmpInstallDbg = $(CURDIR)/debian/inst-dbg
CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)

%:
	dh $@

override_dh_auto_clean:
	rm -rf debian/build
	rm -rf doc/sphinx/_build
	rm -rf tags
	rm -f scons.*
	rm -f *.1
	rm -rf $(tmpDirMatplotLib)
	rm -rf $(tmpInstall)
	rm -rf $(tmpInstallDbg)
	find . -name '*.pyc' -print0 | xargs -0 rm -f
	dh_clean 

override_dh_auto_configure:
	mkdir -p $(tmpDirMatplotLib)
	mkdir -p $(tmpInstall)
	mkdir -p $(tmpInstallDbg)

override_dh_auto_build:
	# remove the profile, if existing, to have clean config
	rm -f scons.*
	#Output an information about available memory and CPU
	-cat /proc/meminfo
	-cat /proc/cpuinfo
	# the last argument specified that we only want files in lib installed -- common files (the executable) are already in the optimized package
	export MPLCONFIGDIR=$(tmpDirMatplotLib) HOME=$(tmpDirMatplotLib)$ ; NO_SCONS_GET_RECENT= scons profile=deb buildPrefix=debian runtimePREFIX=/usr version='' brief=0 chunkSize=2 features=vtk,gts,opengl,qt4,openmp PREFIX=$(tmpInstallDbg) variant='' CXXFLAGS='$(CXXFLAGS)' optimize=0 -j1 march= debug=1 
	#optimized build
	export MPLCONFIGDIR=$(tmpDirMatplotLib) HOME=$(tmpDirMatplotLib) ; NO_SCONS_GET_RECENT= scons profile=deb PREFIX=$(tmpInstall) variant=''  -j1 optimize=1 debug=0
	# generate manpages
	export MPLCONFIGDIR=$(tmpDirMatplotLib) HOME=$(tmpDirMatplotLib) ; YADE_PREFIX=$(tmpInstallDbg) $(tmpInstallDbg)/bin/yade --debug --generate-manpage yade.1
	export MPLCONFIGDIR=$(tmpDirMatplotLib) HOME=$(tmpDirMatplotLib) ; YADE_PREFIX=$(tmpInstall) $(tmpInstall)/bin/yade-batch --generate-manpage yade-batch.1

override_dh_auto_test:
	export MPLCONFIGDIR=$(tmpDirMatplotLib) HOME=$(tmpDirMatplotLib) ; YADE_PREFIX=$(tmpInstallDbg) $(tmpInstall)/bin/yade --debug --test
	export MPLCONFIGDIR=$(tmpDirMatplotLib) HOME=$(tmpDirMatplotLib) ; YADE_PREFIX=$(tmpInstall) $(tmpInstall)/bin/yade --test
	#Delete all pyc files
	find . -name '*.pyc' -print0 | xargs -0 rm -f

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_installman:
	dh_installman -p yade yade.1 yade-batch.1

override_dh_strip:
	dh_strip --exclude=yade-dbg   # don't strip the debug package

override_dh_compress:
	dh_compress --all -X.py -X.stl -X.gts -X.geo -X.mesh -X.msh -X.pdf -X.png -X.svg -X.txt -X.js -X.inv

binary-indep: 
	dh --until dh_auto_build $@
	#Generate docs
	export MPLCONFIGDIR=$(tmpDirMatplotLib) HOME=$(tmpDirMatplotLib) ; cd doc/sphinx; PYTHONPATH=. YADE_PREFIX=$(tmpInstall) $(tmpInstall)/bin/yade yadeSphinx.py; cd _build/latex; xelatex Yade.tex; xelatex Yade.tex; xelatex Yade.tex;
	dh --after dh_auto_build $@
	
binary-arch: 
	dh $@

binary: binary-indep binary-arch
