=== SConstruct ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#!/usr/bin/scons
+#!/usr/bin/scon
 # coding: UTF-8
 # vim:syntax=python:
 
@@ -39,28 +39,6 @@
 #
 
 ##########################################################################################
-########## PROXY TO NEWER SCONS (DOWNLOADED IF NEEDED) ###################################
-##########################################################################################
-#print sconsVersion
-if sconsVersion<9806.0 and not os.environ.has_key('NO_SCONS_GET_RECENT'):
-	# sconsVersion<10200.0 
-	# tgzParams=("http://dfn.dl.sourceforge.net/sourceforge/scons/scons-local-1.2.0.d20090223.tar.gz","/scons-local-1.2.0.d20090223")
-	tgzParams=("http://heanet.dl.sourceforge.net/sourceforge/scons/scons-local-1.0.0.tar.gz","/scons-local-1.0.0")
-	newPrefix="./scons-local";
-	newUrl,newDir=tgzParams[0],newPrefix+"/"+tgzParams[1]
-	if not os.path.exists(newDir):
-		print "Scons version too old, downloading new version. All subsequent calls will be proxied to the new version transparently."
-		import urllib,tarfile
-		(filename,headers)=urllib.urlretrieve(newUrl)
-		print filename,"\n",headers
-		tar=tarfile.open(filename, "r:gz")
-		for tarinfo in tar: tar.extract(tarinfo,newPrefix)
-		print "Done extracting scons to",newDir
-		assert(os.path.exists(newDir))
-	if os.path.exists(newDir):
-		Exit(os.execv(newPrefix+"/scons.py",[newPrefix+'/scons.py']+sys.argv[1:]))
-
-##########################################################################################
 ############# OPTIONS ####################################################################
 ##########################################################################################
 
@@ -112,10 +90,9 @@
 	('variant','Build variant, will be suffixed to all files, along with version.','' if profile=='default' else '-'+profile,None,lambda x:x),
 	BoolVariable('debug', 'Enable debugging information',0),
 	BoolVariable('gprof','Enable profiling information for gprof',0),
-	('optimize','Turn on optimizations (-1, 0 or 1); negative value sets optimization based on debugging: not optimize with debugging and vice versa.',-1,None,int),
-	ListVariable('exclude','Yade components that will not be built','none',names=['gui','extra','common','dem','lattice','snow']),
+	('optimize','Turn on optimizations (-1, 0 or 1); with negative value (-1) optimization is based on debugging: not optimize with debugging (debug=True <=> optimize=False) and vice versa. With positive values optimization is performed (case of 1) or not (0) independent of debugging',-1,None,int),
 	EnumVariable('PGO','Whether to "gen"erate or "use" Profile-Guided Optimization','',['','gen','use'],{'no':'','0':'','false':''},1),
-	ListVariable('features','Optional features that are turned on','log4cxx,opengl,gts,openmp,vtk',names=['opengl','log4cxx','cgal','openmp','gts','vtk','python','gl2ps','devirt-functors','qt4','never_use_this_one']),
+	ListVariable('features','Optional features that are turned on','log4cxx,opengl,gts,openmp,vtk,qt4',names=['opengl','log4cxx','cgal','openmp','gts','vtk','gl2ps','qt4','sphere-padder','never_use_this_one','subdomains']),
 	('jobs','Number of jobs to run at the same time (same as -j, but saved)',2,None,int),
 	#('extraModules', 'Extra directories with their own SConscript files (must be in-tree) (whitespace separated)',None,None,Split),
 	('buildPrefix','Where to create build-[version][variant] directory for intermediary files','..'),
@@ -123,7 +100,7 @@
 	('chunkSize','Maximum files to compile in one translation unit when building plugins. (unlimited if <= 0, per-file linkage is used if 1)',7,None,int),
 	('version','Yade version (if not specified, guess will be attempted)',None),
 	('realVersion','Revision (usually bzr revision); guessed automatically unless specified',None),
-	('CPPPATH', 'Additional paths for the C preprocessor (colon-separated)','/usr/include/vtk-5.0:/usr/include/vtk-5.2:/usr/include/vtk-5.4:/usr/include/vtk-5.6:/usr/include/eigen2:/usr/include/vtk'), # hardy has vtk-5.0
+	('CPPPATH', 'Additional paths for the C preprocessor (colon-separated)','/usr/include/vtk-5.0:/usr/include/vtk-5.2:/usr/include/vtk-5.4:/usr/include/vtk-5.6:/usr/include/vtk'), # hardy has vtk-5.0
 	('LIBPATH','Additional paths for the linker (colon-separated)',None),
 	('libstdcxx','Specify libstdc++ location by hand (opened dynamically at startup), usually not needed',None),
 	('QT4CXX','Specify a different compiler for files including qt4; this is necessary for older qt version (<=4.7) which don\'t compile with clang',None),
@@ -132,9 +109,8 @@
 	('CXX','The c++ compiler','g++'),
 	('CXXFLAGS','Additional compiler flags for compilation (like -march=core2).',None,None,Split),
 	('march','Architecture to use with -march=... when optimizing','native',None,None),
-	BoolVariable('mono','[experimental] Build only one shared library and make all other files (python objects, for instance) only be symlinks.',0),
-	('execCheck','Name of the main script that should be installed; if the current one differs, an erro is raised (do not use directly, only intended for --rebuild',None),
-	('defThreads','Default number of OpenMP threads to run with, unless overridden with -j. Keep unset (negative) to default to using all cores.',-1),
+	('execCheck','Name of the main script that should be installed; if the current one differs, an error is raised (do not use directly, only intended for --rebuild',None),
+	('defThreads','No longer used, specify -j each time yade is run (defaults to 1 now)',-1),
 	#('SHLINK','Linker for shared objects','g++'),
 	('SHCCFLAGS','Additional compiler flags for linking (for plugins).',None,None,Split),
 	BoolVariable('QUAD_PRECISION','typedef Real as long double (=quad)',0),
@@ -145,6 +121,27 @@
 if str(env['features'])=='all':
 	print 'ERROR: using "features=all" is illegal, since it breaks feature detection at runtime (SCons limitation). Write out all features separated by commas instead. Sorry.'
 	Exit(1)
+
+#Clean eigen directories
+if env.has_key('CPPPATH'):
+	cpppathes=colonSplit(env['CPPPATH'])
+	env['CPPPATH'] = ''
+	z=0
+	for i in cpppathes:
+		if (i[:-1] <> '/usr/include/eigen'):
+			if (z==0):
+				env.Append(CPPPATH=i)
+			else:
+				env.Append(CPPPATH=":"+i)
+			z+=1
+
+#Check, is there eigen3 directory, if not - use eigen2
+if os.path.exists('/usr/include/eigen3'):
+	print "Eigen 3 math library will be used"
+	env.Append(CPPPATH=":/usr/include/eigen3")
+else:
+	print "Eigen 2 math library will be used"
+	env.Append(CPPPATH=":/usr/include/eigen2")
 
 if saveProfile: opts.Save(optsFile,env)
 # fix expansion in python substitution by assigning the right value if not specified
@@ -189,7 +186,7 @@
 if not env.has_key('realVersion') or not env['realVersion']: env['realVersion']=yadeSCons.getRealVersion() or 'unknown' # unknown if nothing returned
 if not env.has_key('version'): env['version']=env['realVersion']
 
-env['SUFFIX']='-'+env['version']+env['variant']
+env['SUFFIX']=('-'+env['version'] if len(env['version'])>0 else '')+env['variant']
 env['SUFFIX_DBG']=env['SUFFIX']+('' if not env['debug'] else '/dbg')
 env['LIBDIR']='$PREFIX/lib/yade$SUFFIX_DBG'
 print "Yade version is `%s' (%s), installed files will be suffixed with `%s'."%(env['version'],env['realVersion'],env['SUFFIX'])
@@ -203,3 +200,18 @@
 env.SConsignFile(buildDir+'/scons-signatures')
 
 ##########################################################################################
+############# SHORTCUT TARGETS ###########################################################
+##########################################################################################
+
+if len(sys.argv)>1 and ('clean' in sys.argv) or ('tags' in sys.argv) or ('doc' in sys.argv):
+	if 'clean' in sys.argv:
+		if os.path.exists(buildDir):
+			print "Cleaning: %s."%buildDir; shutil.rmtree(buildDir)
+		else: print "Nothing to clean: %s."%buildDir
+		sys.argv.remove('clean')
+	if 'tags' in sys.argv:
+		cmd="ctags -R --extra=+q --fields=+n --exclude='.*' --exclude=attic --exclude=doc --exclude=scons-local --exclude=include --exclude=lib/triangulation --exclude=debian --exclude='*.so' --exclude='*.s' --exclude='*.ii' --langmap=c++:+.inl,c++:+.tpp,c++:+.ipp"
+		print cmd; os.system(cmd)
+		sys.argv.remove('tags')
+	if 'doc' in sys.argv:
+		raise RuntimeError("'doc' argument not supported by scons now. See doc/README")
