=== debian/changelog ===
yade (0.70.0-5) unstable; urgency=low

  * [db2c9f6] Add gtk2-engines-pixbuf to depends section.
  * [a563b30] Use Standards-Version: 3.9.3. No changes.
  * [4454d5d] Small fixes due to ipython 0.12 migration.

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 03 Apr 2012 21:43:00 +0200

yade (0.70.0-4) unstable; urgency=high

  * [ef20192] fix FTBFS with boost >=1.47. (Closes: #653817)

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 04 Jan 2012 19:55:06 +0100

yade (0.70.0-3) unstable; urgency=low

  * [b9c8f44] Fix compilation with vtk-5.8.
  * [96fcd70] Update description in control-file.
  * [6c19037] Provide ipython-0.11 compatibility. (Closes: #636475)
  * [22291a8] Disable PDF-creation (does not build for the moment).

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 25 Nov 2011 20:34:24 +0100

yade (0.70.0-2) unstable; urgency=low

  * [8466b41] Remove yade-dbg binary, it is too large (about 200mb)
              and is not mandatory.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 12 Nov 2011 16:52:57 +0100

yade (0.70.0-1) unstable; urgency=low

  * [989698e] Imported Upstream version 0.70.0
  * [0e11326] Replace underscore.js by the link on packaged version
  * [8c9464e] Add more tests to dh_auto_test (--check option).
  * [91e1e53] Add some more names to copyright-file.
  * [5a86e34] Provide a tight dependency for python-version. 
    (Closes: #642938)

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 26 Oct 2011 00:30:10 +0200
