=== debian/control ===
--- 
+++ 
@@ -11,22 +11,25 @@
  freeglut3-dev, libboost-dev (>=1.35), libboost-date-time-dev (>=1.35), 
  libboost-filesystem-dev (>=1.35), libboost-thread-dev (>=1.35), 
  libboost-regex-dev (>=1.35), libboost-python-dev (>=1.35),
- libboost-iostreams-dev (>=1.35), libboost-program-options-dev, python-support,
- libboost-serialization-dev, libloki-dev, liblog4cxx10-dev,
+ libboost-iostreams-dev (>=1.35), libboost-program-options-dev, 
+ python-support, libboost-serialization-dev, libloki-dev, 
  docbook-to-man, ipython, libgts-dev, python-numpy, g++(>>4.0), libvtk5-dev, 
  libgl1-mesa-dev, gdb, python-matplotlib, python-tk, libeigen3-dev, 
  libqglviewer-qt4-dev, python-xlib, python-qt4, pyqt4-dev-tools, python-imaging
 Build-Depends-Indep: texlive-latex-recommended, texlive-latex-extra, lmodern, 
  texlive-pictures, texlive-xetex, libjs-jquery, python-sphinx (>=1.0.6),
- python-bibtex, graphviz, dvipng
-Standards-Version: 3.9.2
+ python-bibtex, graphviz, dvipng, libjs-underscore
+Standards-Version: 3.9.3
 
 Package: yade
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy, ipython,
- python-matplotlib, python-tk, python-qt4, python-xlib, gnuplot, python-imaging, libjs-jquery
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+ python (>= 2.7), python (<<2.8), 
+ python-numpy, ipython, python-matplotlib, python-tk, python-qt4, 
+ python-xlib, gnuplot, python-imaging, libjs-jquery, libjs-underscore,
+ gtk2-engines-pixbuf
 Recommends: mencoder
-Description: Platform for discrete element modeling. Main optimized build
+Description: Platform for discrete element modeling
  Yet Another Dynamic Engine.
  .
  Extensible open-source framework for discrete numerical models, 
@@ -37,22 +40,6 @@
  simulation control, postprocessing and debugging.
  .
  This package contains speed-optimized build of yade.
-
-Package: yade-dbg
-Architecture: any
-Section: debug
-Depends: ${shlibs:Depends}, ${misc:Depends}, yade
-Description: Platform for discrete element modeling. Debug build
- Yet Another Dynamic Engine.
- .
- Extensible open-source framework for discrete numerical models, 
- focused on Discrete Element Method. 
- The computation parts are written in c++ using flexible object model, 
- allowing independent implementation of new algorithms and interfaces. 
- Python is used for rapid and concise scene construction, 
- simulation control, postprocessing and debugging.
- .
- This package contains debug build of yade.
 
 Package: yade-doc
 Architecture: all
